import React from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import './index.css'
import { AuthPage } from './Pages/AuthPage.jsx';
import { ProtectedRoute } from './lib/ProtectedRoute.jsx';
import { Bookingpage } from './Pages/BookingPage.jsx';
import { SuccessPage } from './Pages/SuccessPage.jsx';
export const App = () => {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<AuthPage />} />
        <Route
          path="/booking"
          element={
            <ProtectedRoute>
              <Bookingpage/>
            </ProtectedRoute>
          }
        />
        <Route
          path="/success"
          element={
            <ProtectedRoute>
              <SuccessPage />
            </ProtectedRoute>
          }
        />
      </Routes>
    </BrowserRouter>
  );
};
