
import styles from '@/Components/Base/Select/Select.module.css';

export const Select = ({ label, options, value, onChange, errorMessage }) => {
  return (
    <div className={styles.container}>
      {label && <label className={styles.label}>{label}</label>}
      <select className={`${styles.select} ${errorMessage ? styles.errorSelect : ''}`} value={value} onChange={onChange}>
        {(options || []).map((opt, index) => (
          <option key={index} value={opt.value} className={styles.option}>
            {opt.label}
          </option>
        ))}
      </select>
      {errorMessage && <p className={styles.errorMessage}>{errorMessage}</p>}
    </div>
  );
};
