import React from 'react';
import { Select } from '@/Components/Base/Select/Select.jsx';

export default {
  title: 'Base/Select',
  component: Select,
  argTypes: {
    label: { control: 'text' },
    onChange: { action: 'onChange' },
  },
};

const options = [
  { value: '', label: 'Select seat' },
  { value: '1', label: '1 seat' },
  { value: '2', label: '2 seats' },
  { value: '3', label: '3 seats' },
];

export const ValidandInvalid = (args) => (
  <div>
    <div>
      <Select
        {...args}
        label="Select without error"
        value="1"
        options={options}
        errorMessage=""
        onChange={(e) => args.onChange(e)}
      />
    </div>
    <div>
      <Select
        {...args}
        label="Select with error"
        value=""
        options={options}
        errorMessage="Please select a seat."
        onChange={(e) => args.onChange(e)}
      />
    </div>
  </div>
);
