import { Notification } from '@/Components/Top-level/Notification/Notification.jsx';
import { Button } from '../../Base/Buttons/Button.jsx';
import successImg from "../../../assets/success.png";
import errorImg from "../../../assets/giferror.gif";

export default {
  title: 'TopLevel/Notification',
  component: Notification,
  parameters: {
    backgrounds: {
      default: 'secondary-bg',
    },
  },
  argTypes: {
    title: { control: 'text' },
    msg: { control: 'text' },
    type: { control: { type: 'select' }, options: ['success', 'error'] },
    button: { control: false }, 
  },
};

export const Success = (args) => <Notification {...args} />;
Success.args = {
  title: 'Success🎉',
  type: 'success',
  msg: 'Successfully booked your ticket!',
  image:successImg,
  button: (
    <Button
      variant="secondary"
      label="Book more seats"
      size="md"
      onClick={() => {
        console.log("Book more clicked");
      }}
    />
  ),
};

export const Error = (args) => <Notification {...args} />;
Error.args = {
  title: 'Failed 😢',
  type: 'error',
  msg: 'Retry to book your ticket.',
  image:errorImg,
  button: (
    <Button
      variant="secondary"
      label="Go back"
      size="md"
      onClick={() => {
        console.log("Go back clicked");
      }}
    />
  ),
};
