import { SeatLayout } from '@/Components/Top-level/SeatLayout/SeatLayout';
import { action } from '@storybook/addon-actions';

export default {
  title: 'Toplevel/SeatLayout',
  component: SeatLayout,
  parameters: {
    backgrounds: {
      default: 'secondary-bg',
    },
    layout: 'centered',
  },
  argTypes: {
    selectedSeats: { control: 'array' },
    reservedSeats: { control: 'array' },
    limit: { control: 'number' },
  },
};

export const Default = (args) => (
  <SeatLayout {...args} onSelectionChange={action('Clicked/Unclicked')} />
);

Default.args = {
  selectedSeats: ['B1'],
  reservedSeats: ['A1', 'B2'],
  limit: 3,
};
